errlogInit(8192)

< envPaths

dbLoadDatabase("$(TOP)/dbd/imcaXiaPfcu4Test.dbd")
imcaXiaPfcu4Test_registerRecordDeviceDriver(pdbbase)

# Simulations - Do not use in a production environment
< sim-before-iocInit.cmd

# Xia-pfcu-4 databases (from xia-pfcu-4 driver)
dbLoadRecords("$(TOP)/imcaXiaPfcu4App/Db/xia-pfcu-4.db","P=x7idb:,D=XiaPfcu1,ID=01,PORT=ipClient1,DESC='x7-ID No. 1'")
dbLoadRecords("$(TOP)/imcaXiaPfcu4App/Db/xia-pfcu-4.db","P=x7idb:,D=XiaPfcu2,ID=02,PORT=ipClient1,DESC='x7-ID No. 2'")
dbLoadRecords("$(TOP)/imcaXiaPfcu4App/Db/xia-pfcu-4x2.db","P=x7idb:,D=FltrRak1,D1=XiaPfcu1,D2=XiaPfcu2,DESC='x7-ID No. 1'")

# ImcaXiaPfcu4 attenuation coefficients breakpoint table
dbLoadDatabase("$(TOP)/dbd/bptImcaXiaPfcu4AC.dbd")

# ImcaXiaPfcu4 database
dbLoadRecords("$(TOP)/imcaXiaPfcu4App/Db/imcaXiaPfcu4x2.db","P=x7idb:,D=FltrRak1,E=x7ida:EnergyInEv,R=1,MAXA=99.9,FMA=Aluminum,T1=10,T2=20,T3=40,T4=80,T5=150,T6=300,T7=600,T8=1200,MAXT=2400")

iocInit()

# Simulations - Do not use in a production environment
< sim-after-iocInit.cmd

# ImcaXiaPfcu4 sequencer
seq("imcaXiaPfcu4x2","P=x7idb:,D=FltrRak1,EM=x7ida:EnergyMoving")

# Test cases

imcaXiaFiltersLibTestRunner()
imcaXiaPfcu4x2TestRunner()
